Loading...
Searching...
No Matches
mchnblk Struct Reference

`#include <csoundCore.h>`

## Data Fields

int16 | pgmno
| most recently received program change
int16 | insno
| instrument number assigned to this channel
int16 | RegParNo
int16 | mono
MONPCH * | monobas
MONPCH * | monocur
struct insds * | kinsptr [128]
| list of active notes (NULL: not active)
MYFLT | polyaft [128]
| polyphonic pressure indexed by note number
MYFLT | ctl_val [136]
| ... with GS vib_rate, stored in c128-c135
int16 | pgm2ins [128]
| program change to instr number (<=0: ignore)
MYFLT | aftouch
| channel pressure (0-127)
MYFLT | pchbend
| pitch bend (-1 to 1)
MYFLT | pbensens
| pitch bend sensitivity in semitones
int16 | ksuscnt
| number of held (sustaining) notes
int16 | sustaining
| current state of sustain pedal (0: off)
int | dpmsb
int | dplsb
int | datenabl
DKLST * | klists
| chain of dpgm keylists
DPARM * | dparms
| drumset params

## Field Documentation

## aftouch

MYFLT mchnblk::aftouch

channel pressure (0-127)

## ctl_val

MYFLT mchnblk::ctl_val[136]

... with GS vib_rate, stored in c128-c135

## datenabl

int mchnblk::datenabl

## dparms

DPARM* mchnblk::dparms

drumset params

## dplsb

int mchnblk::dplsb

## dpmsb

int mchnblk::dpmsb

## insno

int16 mchnblk::insno

instrument number assigned to this channel

## kinsptr

struct insds* mchnblk::kinsptr[128]

list of active notes (NULL: not active)

## klists

DKLST* mchnblk::klists

chain of dpgm keylists

## ksuscnt

int16 mchnblk::ksuscnt

number of held (sustaining) notes

## mono

int16 mchnblk::mono

## monobas

MONPCH* mchnblk::monobas

## monocur

MONPCH* mchnblk::monocur

## pbensens

MYFLT mchnblk::pbensens

pitch bend sensitivity in semitones

## pchbend

MYFLT mchnblk::pchbend

pitch bend (-1 to 1)

## pgm2ins

int16 mchnblk::pgm2ins[128]

program change to instr number (<=0: ignore)

## pgmno

int16 mchnblk::pgmno

most recently received program change

## polyaft

MYFLT mchnblk::polyaft[128]

polyphonic pressure indexed by note number

## RegParNo

int16 mchnblk::RegParNo

## sustaining

int16 mchnblk::sustaining

current state of sustain pedal (0: off)